<h5>*ngIf</h5>

<div *ngIf="mostrarCursos">
  Lista de cursos aqui.
</div>

<div *ngIf="!mostrarCursos">
  Não existem cursos para serem listados.
</div>

<button (click)="onMostrarCursos()">Mostrar ou esconder cursos</button>

<h5>Hidden como Alternativa</h5>
<div [hidden]="!mostrarCursos">
  Lista de cursos aqui.
</div>

<div [hidden]="mostrarCursos">
  Não existem cursos para serem listados.
</div>

<h5>Removendo o * e usando template</h5>

<div *ngIf="mostrarCursos">

</div>

<template [ngIf]="mostrarCursos">
  <div>Lista de cursos aqui.</div>
</template>